Page MenuHomePhabricator

Homepage: make username blue when rewired to redirect to the Homepage
Closed, ResolvedPublic

Description

When discussing about Homepage location, discovery and framework over at T215982 it was proposed to make the username link in the desktop personal tools area blue, instead of the current red.

The current behavior mirrors the standard wiki link behavior, displaying a red link when the destination user page has not been created yet, and a blue link when the destination user page actually exists.

With the addition of the Homepage, and the rewiring option of the username link to the Homepage, this behavior could be misleading as potentially the red username link can lead to the Homepage which is an existing page.
Making the link blue could also potentially help Homepage discovery.

Why a blue link should be considered correct:

  • When the username is rewired to redirect to the Homepage it is actually linking to an existing page, so it should technically be blue.
    • Also, on the Homepage the tab link to a non-existing user page is correctly displayed in red, so the standard wiki link pattern won't be compromised.

Why it could help Homepage discovery:

  • If a newcomer has basic Wiki experience they should know that a red link is linking to a non-existing page, and as a consequence they might not feel invited/confident to click on their username in the first place.
    • It is important to note that this is an assumption rooted on best practices, but we don't currently have data evidence that users would click the blue username more often than its red counterpart.

This change could also be a first move in addressing the issues raised in T212280

Specifications

  • When a user has the preference on that reads "Default to newcomer homepage from username link in personal tools"...
    • The user's personal tools link on desktop should be blue instead of red.
    • The tooltip on that link should read, "Your homepage", along with the appropriate keyboard shortcut info.
  • If a user turns off the preference that reads "Default to newcomer homepage from username link in personal tools", everything should go back to the standard red link and tooltip.

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterMake homepage pt link blue

Event Timeline

Cntlsn created this task.Jun 19 2019, 4:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2019, 4:13 PM
MMiller_WMF moved this task from Inbox to Upcoming Work on the Growth-Team board.

This is ready to be worked on once we bring it onto the sprint board. It can go straight to Ready for Development.

Two (minor) questions:

  • presently the tooltip and a shortcut refer to a non-existing user page. If the link leads to Homepage, the info should be changed accordingly.
  • should a user link reflect the case when a user disables Homepage but still doesn't have User page?
MMiller_WMF updated the task description. (Show Details)Jul 2 2019, 3:46 PM

@Etonkovidova -- thanks for pointing those things out. I changed the specifications in the task description to address those issues. Does that look right to you?

@Etonkovidova -- thanks for pointing those things out. I changed the specifications in the task description to address those issues. Does that look right to you?

Yes, the updated specs cover two cases that I mentioned in my comment.

Change 522539 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Make homepage ot link blue

https://gerrit.wikimedia.org/r/522539

@MMiller_WMF @Cntlsn this will be in beta soon, and is ready for QA.

Change 522539 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Make homepage pt link blue

https://gerrit.wikimedia.org/r/522539

Thanks @kostajh, this is working for me on beta. Moving it to "Needs PM review".
ccing @Etonkovidova

This looks good to me. Thank you.

@kostajh @Catrope @SBisson @Tgr -- this can roll into production on the train. I'll resolve it once the feature is there.

MMiller_WMF closed this task as Resolved.Sep 21 2019, 1:01 AM